## lintian-brush 0.163

=== debian/changelog ===
lintian-brush (0.163) unstable; urgency=medium

  * Convert most fixers to Rust.
  * Add support for X-DH-Compat header. Closes: #1106883
  * Bump breezyshim to 0.7 and pyo03 to 0.27. Closes: #1114184
  * Bump python3-upstream-ontologist dependency to 0.2.2; older versions
    trigger a infinite memory usage bug.
  * Don't crash when a fixer is killed by a signal.
  * Rebuild against Python 3.13/3.14. Closes: #1094320
  * pkg-perl-testsuite: Don't add Testsuite header when debian/tests/control
    already exists. Closes: #982871
  * Skip debhelper-but-no-misc-depends for debhelper compat >= 14. Closes: #1072700
  * Add asterisk prefix to changelog entries. Closes: #1110106
  * double-check overrides. Closes: #961643
  * upstream-metadata-file: Support FAQ and Other-References fields.
    Closes: #1101050, #1110416
  * Fix public-upstream-key-not-minimal fixer by rewriting in Rust.
    Closes: #968150
  * Fix deb-scrub-obsolete runtime panic by enabling sqlx runtime feature.
    Closes: #1125793

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 03 Jun 2025 22:37:02 +0100

=== debian/control ===
Source: lintian-brush
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 13.5),
               debhelper-compat (= 13),
               bash-completion,
               cargo:native,
               decopy,
               devscripts,
               dos2unix,
               gpg,
               librust-async-trait-0.1+default-dev,
               librust-breezyshim-0.7+debian-dev,
               librust-breezyshim-0.7+default-dev,
               librust-breezyshim-0.7+dirty-tracker-dev,
               librust-breezyshim-0.7+sqlx-dev,
               librust-buildlog-consultant+default-dev (>= 0.1.0-~~),
               librust-cargo-lock-10+default-dev,
               librust-chrono+default-dev (>= 0.4-~~),
               librust-chrono-0.4+default-dev,
               librust-clap-4+cargo-dev,
               librust-clap-4+default-dev,
               librust-clap-4+derive-dev,
               librust-clap-4+env-dev,
               librust-clap-4+string-dev,
               librust-clap-4+suggestions-dev,
               librust-configparser-3+default-dev,
               librust-deb822-lossless-0.5+default-dev (>= 0.5.5-~~),
               librust-debbugs-0.1+blocking-dev (>= 0.1.8-~~),
               librust-debbugs-0.1+default-dev (>= 0.1.8-~~),
               librust-debian-analyzer-0.160+default-dev (>= 0.160.11-~~),
               librust-debian-analyzer-0.160+python-dev (>= 0.160.11-~~),
               librust-debian-analyzer-0.160+svp-dev (>= 0.160.11-~~),
               librust-debian-analyzer-0.160+udd-dev (>= 0.160.11-~~),
               librust-debian-changelog-0.2+default-dev (>= 0.2.13-~~),
               librust-debian-control+default-dev (>= 0.1.37-~~),
               librust-debian-control-0.2+default-dev (>= 0.2.11-~~),
               librust-debian-copyright-0.1+default-dev (>= 0.1.38-~~),
               librust-debian-watch-0.2+blocking-dev (>= 0.2.17-~~),
               librust-debian-watch-0.2+default-dev (>= 0.2.17-~~),
               librust-debian-watch-0.2+discover-dev (>= 0.2.17-~~),
               librust-debian-watch-0.2+pgp-dev (>= 0.2.17-~~),
               librust-debversion+default-dev (>= 0.4.0-~~),
               librust-debversion-0.5+default-dev,
               librust-debversion-0.5+python-debian-dev,
               librust-debversion-0.5+serde-dev,
               librust-debversion-0.5+sqlx-dev,
               librust-dep3-0.2+default-dev,
               librust-distro-info-0.4+default-dev,
               librust-env-logger-0.11+default-dev,
               librust-flate2-1+default-dev,
               librust-futures-0.3+default-dev,
               librust-http-body-util-0.1+default-dev,
               librust-humantime-2+default-dev (>= 2.1.0-~~),
               librust-hyper-1+default-dev (>= 1.5-~~),
               librust-hyper-1+http1-dev (>= 1.5-~~),
               librust-hyper-1+server-dev (>= 1.5-~~),
               librust-hyper-util-0.1+server-auto-dev,
               librust-hyper-util-0.1+server-dev,
               librust-hyper-util-0.1+tokio-dev,
               librust-indexmap-2+default-dev (>= 2.7-~~),
               librust-indicatif+default-dev (<< 0.19-~~),
               librust-indicatif+default-dev (>= 0.17-~~),
               librust-inventory-0.3+default-dev,
               librust-json-dev,
               librust-lazy-regex-3+default-dev,
               librust-lazy-static-1+default-dev,
               librust-log-0.4+default-dev,
               librust-makefile-lossless+default-dev (>= 0.3),
               librust-makefile-lossless-0.3+default-dev (>= 0.3.25-~~),
               librust-nu-ansi-term-0.50+default-dev,
               librust-ognibuild-0.2+debian-dev (>= 0.2.4-3),
               librust-ognibuild-0.2+default-dev (>= 0.2.4-3),
               librust-ognibuild-0.2+upstream-dev (>= 0.2.4-3),
               librust-patchkit-0.2+default-dev (>= 0.2.2-~~),
               librust-pyo3-0.27+auto-initialize-dev,
               librust-pyo3-0.27+chrono-dev,
               librust-pyo3-0.27+default-dev,
               librust-pyo3-0.27+serde-dev,
               librust-pyo3-build-config-0.27+default-dev,
               librust-pyo3-log+default-dev (<< 0.14-~~),
               librust-pyo3-log+default-dev (>= 0.12-~~),
               librust-quote-1+default-dev (>= 1.0.37-~~),
               librust-regex-1+default-dev (>= 1.10.6-~~),
               librust-reqwest+blocking-dev (>= 0.12-~~),
               librust-reqwest+default-dev (>= 0.12-~~),
               librust-rowan-0.16+default-dev,
               librust-semver-1+default-dev,
               librust-sequoia-openpgp-2+default-dev (>= 2-~~),
               librust-serde-1+default-dev,
               librust-serde-1+derive-dev,
               librust-serde-json-1+default-dev,
               librust-serde-yaml+default-dev (>= 0.9-~~),
               librust-serial-test-dev,
               librust-sha1-0.10+default-dev,
               librust-shell-words-1+default-dev,
               librust-sqlx-0.8+default-dev,
               librust-sqlx-0.8+postgres-dev,
               librust-sqlx-0.8+runtime-tokio-rustls-dev,
               librust-strsim-0.11+default-dev,
               librust-svp-client+default-dev (>= 0.1.0-~~),
               librust-svp-client-0.2+default-dev,
               librust-tempfile-3+default-dev,
               librust-textwrap-0.16+default-dev,
               librust-tokio-1+default-dev (>= 1.39-~~),
               librust-tokio-1+full-dev (>= 1.39-~~),
               librust-tokio-1+macros-dev,
               librust-tokio-1+net-dev,
               librust-tokio-1+rt-dev (>= 1.39-~~),
               librust-tokio-1+rt-multi-thread-dev (>= 1.39-~~),
               librust-tokio-1+signal-dev,
               librust-toml-edit-0.22+default-dev,
               librust-tracing-0.1+default-dev,
               librust-tracing-log-0.2+default-dev,
               librust-tracing-subscriber-0.3+ansi-dev,
               librust-tracing-subscriber-0.3+default-dev,
               librust-tracing-subscriber-0.3+env-filter-dev,
               librust-tracing-subscriber-0.3+fmt-dev,
               librust-upstream-ontologist-0.3+default-dev (>= 0.3.6-~~),
               librust-url-2+default-dev,
               librust-url-2+serde-dev,
               librust-wait-timeout-0.2+default-dev,
               librust-xdg-2+default-dev,
               librust-xz2-0.1+default-dev,
               libstd-rust-dev,
               lintian (>= 2.105.0),
               po-debconf,
               python3-breezy (>= 3.3.1~),
               python3-breezy.tests,
               python3-bs4,
               python3-debian,
               python3-debmutate (>= 0.67),
               python3-distro-info,
               python3-dulwich,
               python3-iniparse,
               python3-iso8601,
               python3-levenshtein,
               python3-pkg-resources,
               python3-ruamel.yaml,
               python3-semver,
               python3-tomlkit,
               python3-upstream-ontologist (>= 0.2.2),
               rustc
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
Homepage: https://salsa.debian.org/jelmer/lintian-brush

Package: lintian-brush
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.1~),
         python3-debian,
         python3-debmutate (>= 0.67),
         python3-distro-info,
         python3-dulwich,
         python3-iniparse,
         python3-iso8601,
         python3-pkg-resources,
         python3-ruamel.yaml,
         python3-upstream-ontologist (>= 0.2.2),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: debhelper (>= 13.5),
            decopy,
            dos2unix,
            gpg,
            lintian (>= 2.105.0),
            python3-bs4,
            python3-levenshtein,
            python3-psycopg2,
            python3-semver,
            python3-tomlkit
Suggests: brz-debian (>= 2.8.66),
          git-buildpackage,
          po-debconf,
          postgresql-common
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 160
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.
 .
 The following other codemods are included:
 .
  * apply-multiarch-hints: applies multiarch hints to debian/control
  * deb-scrub-obsolete: removes obsolete dependencies and maintscript snippets
  * deb-vcs-publish: adds VCS metadata to debian/control
  * fix-watch-file: updates the debian/watch file to use the latest format

## lintian-brush 0.164

=== Makefile ===
VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d " " -f 2)

export RUST_LOG

default: check

.PHONY: build

check:: testsuite tag-status

.PHONY: testsuite unsupported

tag-status::
	$(MAKE) -C lintian-brush tag-status

testsuite::
	cargo test --workspace

README.md::
	cargo run -p lintian-brush --bin tag-status -- --update-readme

lintian-tags:
	lintian-explain-tags --list-tags > lintian-tags

.PHONY: lintian-tags lintian-brush-tags

unsupported: lintian-tags lintian-brush-tags
	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags

update-readme:
	brz diff README.md
	$(MAKE) README.md
	brz diff README.md || brz commit -m "Update list of fixers in README.md" README.md

update-spdx:
	python3 download-license-data.py > spdx.json
	brz diff spdx.json || brz commit -m "Update SPDX license data" spdx.json

update-renamed-tags:
	$(MAKE) -C lintian-brush update-renamed-tags

update: update-spdx update-readme update-renamed-tags update-deps

next:
	$(MAKE) -C lintian-brush next

docker:
	buildah build -t ghcr.io/jelmer/lintian-brush:latest Dockerfile.lintian-brush .
	buildah push ghcr.io/jelmer/lintian-brush:latest
	buildah build -t ghcr.io/jelmer/deb-scrub-obsolete:latest Dockerfile.deb-scrub-obsolete .
	buildah push ghcr.io/jelmer/deb-scrub-obsolete:latest
	buildah build -t ghcr.io/jelmer/debianize:latest Dockerfile.debianize .
	buildah push ghcr.io/jelmer/debianize:latest
	buildah build -t ghcr.io/jelmer/debianize:latest Dockerfile.debianize .
	buildah push ghcr.io/jelmer/debianize:latest

update-deps:
	brz diff debian/control || { echo "Pending changes to debian/control"; exit 1; }
	update-rust-deps
	brz diff debian/control || brz commit -m "Update Rust dependencies" debian/control

=== debian/changelog ===
lintian-brush (0.164) unstable; urgency=medium

  * Drop unnecessary python dependencies. Closes: #1125923

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 18 Jan 2026 23:02:42 +0000

=== debian/control ===
--- 
+++ 
@@ -127,20 +127,6 @@
                lintian (>= 2.105.0),
                po-debconf,
                python3-breezy (>= 3.3.1~),
-               python3-breezy.tests,
-               python3-bs4,
-               python3-debian,
-               python3-debmutate (>= 0.67),
-               python3-distro-info,
-               python3-dulwich,
-               python3-iniparse,
-               python3-iso8601,
-               python3-levenshtein,
-               python3-pkg-resources,
-               python3-ruamel.yaml,
-               python3-semver,
-               python3-tomlkit,
-               python3-upstream-ontologist (>= 0.2.2),
                rustc
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
@@ -152,27 +138,13 @@
 Architecture: any
 Depends: devscripts,
          python3-breezy (>= 3.3.1~),
-         python3-debian,
-         python3-debmutate (>= 0.67),
-         python3-distro-info,
-         python3-dulwich,
-         python3-iniparse,
-         python3-iso8601,
-         python3-pkg-resources,
-         python3-ruamel.yaml,
-         python3-upstream-ontologist (>= 0.2.2),
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: debhelper (>= 13.5),
             decopy,
             dos2unix,
             gpg,
-            lintian (>= 2.105.0),
-            python3-bs4,
-            python3-levenshtein,
-            python3-psycopg2,
-            python3-semver,
-            python3-tomlkit
+            lintian (>= 2.105.0)
 Suggests: brz-debian (>= 2.8.66),
           git-buildpackage,
           po-debconf,

=== lintian-brush/tests/missing-static-built-using-field-for-golang-package/simple/out/debian/control ===
Source: golang-test
Build-Depends: dh-golang

Package: golang-test
Architecture: any
Description: Test package for Go
 Test description
Static-Built-Using: ${misc:Static-Built-Using}

## lintian-brush 0.165

=== debian/changelog ===
lintian-brush (0.165) unstable; urgency=medium

  * Add python3-setuptools to Build-Depends and fix setup.py parsing for
    Python 3.12+, where distutils was removed.
  * debian/copyright: Drop pattern for nonexistent
    py/lintian_brush/systemd.py.
  * Fix ordering issue.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 26 Jan 2026 00:00:00 +0000

=== lintian-brush/tests/debian-watch-not-mangling-version/simple/in/debian/changelog ===
example (1.2.3+dfsg-1) unstable; urgency=medium

  * Initial release with DFSG-compliant source.

 -- Maintainer <maint@example.com>  Mon, 01 Jan 2024 00:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -127,6 +127,7 @@
                lintian (>= 2.105.0),
                po-debconf,
                python3-breezy (>= 3.3.1~),
+               python3-setuptools,
                rustc
 Standards-Version: 4.7.2
 Rules-Requires-Root: no

=== lintian-brush/tests/homepage-url-ends-with-dot-git/gitlab/in/debian/control ===
Source: gitlab-package
Homepage: https://gitlab.com/team/project.git

Package: gitlab-package
Architecture: all
Description: GitLab test package
 Testing gitlab URL fix.

## lintian-brush 0.166

=== lintian-brush/Makefile ===
.DEFAULT: check

tag-status:
	cargo test --bin tag-status

update-renamed-tags:
	python3 renamed-tags.py
	brz diff renamed-tags.json || brz commit -m "Update renamed tags" renamed-tags.json

next:
	cargo run --features udd --bin tag-status -- --next

check:: testsuite

testsuite::
	cargo test

=== debian/changelog ===
lintian-brush (0.166) unstable; urgency=medium

  * Upgrade to makefile-lossless 0.3.27, fixing parsing of makefiles
    with nested conditionals. Closes: #1126511
  * Stop shipping deb-import-uncommitted, which conflicts with brz-debian.
    Closes: #1126510

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 29 Jan 2026 00:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,10 @@
                dos2unix,
                gpg,
                librust-async-trait-0.1+default-dev,
-               librust-breezyshim-0.7+debian-dev,
-               librust-breezyshim-0.7+default-dev,
-               librust-breezyshim-0.7+dirty-tracker-dev,
-               librust-breezyshim-0.7+sqlx-dev,
+               librust-breezyshim-0.7+debian-dev (>= 0.7.8-~~),
+               librust-breezyshim-0.7+default-dev (>= 0.7.8-~~),
+               librust-breezyshim-0.7+dirty-tracker-dev (>= 0.7.8-~~),
+               librust-breezyshim-0.7+sqlx-dev (>= 0.7.8-~~),
                librust-buildlog-consultant+default-dev (>= 0.1.0-~~),
                librust-cargo-lock-10+default-dev,
                librust-chrono+default-dev (>= 0.4-~~),
@@ -34,8 +34,8 @@
                librust-debian-analyzer-0.160+svp-dev (>= 0.160.11-~~),
                librust-debian-analyzer-0.160+udd-dev (>= 0.160.11-~~),
                librust-debian-changelog-0.2+default-dev (>= 0.2.13-~~),
-               librust-debian-control+default-dev (>= 0.1.37-~~),
-               librust-debian-control-0.2+default-dev (>= 0.2.11-~~),
+               librust-debian-control+default-dev (>= 0.1.0-~~),
+               librust-debian-control-0.2+default-dev (>= 0.2.15-~~),
                librust-debian-copyright-0.1+default-dev (>= 0.1.38-~~),
                librust-debian-watch-0.2+blocking-dev (>= 0.2.17-~~),
                librust-debian-watch-0.2+default-dev (>= 0.2.17-~~),
@@ -68,7 +68,7 @@
                librust-lazy-static-1+default-dev,
                librust-log-0.4+default-dev,
                librust-makefile-lossless+default-dev (>= 0.3),
-               librust-makefile-lossless-0.3+default-dev (>= 0.3.25-~~),
+               librust-makefile-lossless-0.3+default-dev (>= 0.3.27-~~),
                librust-nu-ansi-term-0.50+default-dev,
                librust-ognibuild-0.2+debian-dev (>= 0.2.4-3),
                librust-ognibuild-0.2+default-dev (>= 0.2.4-3),
@@ -85,6 +85,7 @@
                librust-regex-1+default-dev (>= 1.10.6-~~),
                librust-reqwest+blocking-dev (>= 0.12-~~),
                librust-reqwest+default-dev (>= 0.12-~~),
+               librust-reqwest+json-dev (>= 0.12-~~),
                librust-rowan-0.16+default-dev,
                librust-semver-1+default-dev,
                librust-sequoia-openpgp-2+default-dev (>= 2-~~),

=== lintian-brush/tests/debian-rules-uses-deprecated-systemd-override/systemd-start/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_systemd_start:
	dh_systemd_start --restart-after-upgrade

=== lintian-brush/tests/debian-rules-uses-deprecated-systemd-override/systemd-start/out/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_installsystemd:
	dh_systemd_start --restart-after-upgrade

=== lintian-brush/tests/built-using-for-golang/add/out/debian/control ===
Source: blah
Architecture: any
Build-Depends: golang-go

Package: blah
Built-Using: ${misc:Built-Using}
Static-Built-Using: ${misc:Static-Built-Using}
Description: blah
 blah

=== lintian-brush/tests/chown-with-dot/override/in/debian/control ===
Source: test-package
Section: misc
Priority: optional
Maintainer: Test User <test@example.com>
Standards-Version: 4.6.0

Package: test-package
Architecture: all
Description: Test package for chown-with-dot fixer
 This is a test package.

=== lintian-brush/tests/debian-rules-missing-recommended-target/pattern-rule/in/debian/control ===
Source: folks
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Standards-Version: 4.6.2

Package: libfolks25
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to aggreg ate people into metacontacts
 libfolks is a library that aggregates people from multiple sources
 to create metacontacts.

=== lintian-brush/tests/debian-watch-file-is-missing/cran/out/debian/watch ===
version=4
https://cran.r-project.org/src/contrib/gower_([-.\d]*)\.tar\.gz

=== lintian-brush/tests/dpatch-build-dep-but-no-patch-list/override/in/debian/control ===
Source: test-package
Maintainer: Test User <test@example.com>
Build-Depends: debhelper (>= 11), dpatch

Package: test-package
Architecture: any
Description: Test package
 A test package for dpatch fixer override test.

=== lintian-brush/tests/homepage-url-ends-with-dot-git/gitlab/out/debian/control ===
Source: gitlab-package
Homepage: https://gitlab.com/team/project

Package: gitlab-package
Architecture: all
Description: GitLab test package
 Testing gitlab URL fix.

=== lintian-brush/tests/homepage-url-ends-with-dot-git/with-fragment/in/debian/control ===
Source: fragment-package
Homepage: https://github.com/user/repo.git#readme

Package: fragment-package
Architecture: all
Description: Test with fragment
 Testing URL with fragment preservation.

=== lintian-brush/tests/homepage-url-ends-with-dot-git/with-fragment/out/debian/control ===
Source: fragment-package
Homepage: https://github.com/user/repo#readme

Package: fragment-package
Architecture: all
Description: Test with fragment
 Testing URL with fragment preservation.

=== lintian-brush/tests/libmodule-build-tiny-perl-needs-to-be-in-build-depends/remove-empty-build-depends-indep/in/debian/control ===
Source: libtest-example-perl
Section: perl
Priority: optional
Maintainer: Joe Maintainer <joe@example.com>
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: libmodule-build-tiny-perl
Standards-Version: 3.9.6

Package: libtest-example-perl
Architecture: all
Depends: ${misc:Depends}
Description: Example perl library
 An example perl library.

=== lintian-brush/tests/missing-static-built-using-field-for-golang-package/override/in/debian/control ===
Source: golang-test
Build-Depends: dh-golang

Package: golang-test
Architecture: any
Description: Test package for Go
 Test description

=== lintian-brush/tests/out-of-date-standards-version/4.2.1/out/debian/control ===
Source: lintrian-brush
Standards-Version: 4.2.1

=== lintian-brush/tests/out-of-date-standards-version/4.4.0/in/debian/control ===
Source: lintrian-brush
Standards-Version: 4.3.0
Build-Depends: debhelper-compat (= 11)

## lintian-brush 0.167

=== Makefile ===
--- 
+++ 
@@ -16,9 +16,6 @@
 testsuite::
 	cargo test --workspace
 
-README.md::
-	cargo run -p lintian-brush --bin tag-status -- --update-readme
-
 lintian-tags:
 	lintian-explain-tags --list-tags > lintian-tags
 
@@ -27,11 +24,6 @@
 unsupported: lintian-tags lintian-brush-tags
 	awk 'NR==FNR{a[$$0]=1;next}!a[$$0]' lintian-brush-tags lintian-tags
 
-update-readme:
-	brz diff README.md
-	$(MAKE) README.md
-	brz diff README.md || brz commit -m "Update list of fixers in README.md" README.md
-
 update-spdx:
 	python3 download-license-data.py > spdx.json
 	brz diff spdx.json || brz commit -m "Update SPDX license data" spdx.json
@@ -39,7 +31,10 @@
 update-renamed-tags:
 	$(MAKE) -C lintian-brush update-renamed-tags
 
-update: update-spdx update-readme update-renamed-tags update-deps
+update: update-spdx update-lintian-brush-readme update-renamed-tags update-deps
+
+update-lintian-brush-readme:
+	$(MAKE) -C lintian-brush README.md
 
 next:
 	$(MAKE) -C lintian-brush next

=== lintian-brush/Makefile ===
--- 
+++ 
@@ -2,6 +2,14 @@
 
 tag-status:
 	cargo test --bin tag-status
+
+README.md::
+	cargo run --bin tag-status -- --update-readme
+
+update-readme:
+	brz diff lintian-brush/README.md
+	$(MAKE) lintian-brush/README.md
+	brz diff lintian-brush/README.md || brz commit -m "Update list of fixers in README.md" lintian-brush/README.md
 
 update-renamed-tags:
 	python3 renamed-tags.py

=== debian/changelog ===
lintian-brush (0.167) unstable; urgency=medium

  * Update watch file handling to use version 5 format. Closes: #1127489

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 12 Feb 2026 11:54:21 +0000

=== debian/control ===
--- 
+++ 
@@ -37,10 +37,10 @@
                librust-debian-control+default-dev (>= 0.1.0-~~),
                librust-debian-control-0.2+default-dev (>= 0.2.15-~~),
                librust-debian-copyright-0.1+default-dev (>= 0.1.38-~~),
-               librust-debian-watch-0.2+blocking-dev (>= 0.2.17-~~),
-               librust-debian-watch-0.2+default-dev (>= 0.2.17-~~),
-               librust-debian-watch-0.2+discover-dev (>= 0.2.17-~~),
-               librust-debian-watch-0.2+pgp-dev (>= 0.2.17-~~),
+               librust-debian-watch-0.3+blocking-dev (>= 0.3.4-~~),
+               librust-debian-watch-0.3+default-dev (>= 0.3.4-~~),
+               librust-debian-watch-0.3+discover-dev (>= 0.3.4-~~),
+               librust-debian-watch-0.3+pgp-dev (>= 0.3.4-~~),
                librust-debversion+default-dev (>= 0.4.0-~~),
                librust-debversion-0.5+default-dev,
                librust-debversion-0.5+python-debian-dev,

=== lintian-brush/tests/debian-rules-missing-recommended-target/both-exist/in/debian/rules ===
#!/usr/bin/make -f

build: blah
	$(MAKE) install DESTDIR=debian/..

build-arch: build
	echo "Build for arch"

build-indep: build
	echo "Build for indep"

clean:
	dh_prep -k

=== lintian-brush/tests/debian-rules-missing-recommended-target/no-control/out/debian/rules ===
#!/usr/bin/make -f

build: blah
	$(MAKE) install DESTDIR=debian/..

clean:
	dh_prep -k

build-indep:

build-arch:

=== lintian-brush/tests/debian-rules-uses-deprecated-systemd-override/simple/in/debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_systemd_enable:
	dh_systemd_enable --name=myservice myservice.service

=== lintian-brush/tests/package-uses-deprecated-debhelper-compat-version/cdbs/in/debian/rules ===
include /usr/share/cdbs/1/rules/debhelper.mk

all:
	dh_clean -k
	dh --with=systemd,blah --buildsystem=python_distutils

override_dh_install:
	dh_install --fail-missing --list-missing

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

=== lintian-brush/tests/binary-control-field-duplicates-source/override/out/debian/control ===
Source: blah
Section: net
Priority: optional

Package: blah
Section: net
Description: blah
 blah

=== lintian-brush/tests/debhelper-but-no-misc-depends/compat-13/in/debian/control ===
Source: test-package
Section: admin
Priority: optional
Maintainer: Test Maintainer <test@debian.org>
Build-Depends:
 debhelper-compat (= 13)
Standards-Version: 4.6.0

Package: test-package
Architecture: any
Depends: ${shlibs:Depends}
Description: Test package
 This package is used to test that debhelper-but-no-misc-depends
 fixer still works for compat level 13.

=== lintian-brush/tests/debhelper-but-no-misc-depends/compat-14/in/debian/control ===
Source: test-package
Section: admin
Priority: optional
Maintainer: Test Maintainer <test@debian.org>
Build-Depends:
 debhelper-compat (= 14)
Standards-Version: 4.6.0

Package: test-package
Architecture: any
Depends: ${shlibs:Depends}
Description: Test package
 This package is used to test that debhelper-but-no-misc-depends
 fixer does not run for compat level 14 and above.

=== lintian-brush/tests/debhelper-compat-wrong-field/simple/out/debian/control ===
Source: blah
Build-Depends: debhelper-compat (= 12), python3-dulwich

Package: blah
Description: blah
 blah blah

=== lintian-brush/tests/debian-rules-missing-recommended-target/mixed-arch/in/debian/control ===
Source: blah
Section: net
Priority: optional
Maintainer: Joe Maintainer <joe@example.com>
Standards-Version: 3.9.8

Package: blah
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: A package description
 This is description of an "any" package.

Package: blah-doc
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for blah
 This is the documentation package.

=== lintian-brush/tests/debian-rules-uses-deprecated-systemd-override/simple/in/debian/control ===
Source: test-package
Build-Depends: debhelper-compat (= 13)
Section: misc
Priority: optional
Maintainer: Test User <test@example.com>
Standards-Version: 4.6.0

Package: test-package
Architecture: all
Description: Test package for deprecated systemd override fixer
 This is a test package.

=== lintian-brush/tests/debian-rules-uses-deprecated-systemd-override/systemd-start/in/debian/control ===
Source: test-package
Build-Depends: debhelper-compat (= 11)
Section: misc
Priority: optional
Maintainer: Test User <test@example.com>
Standards-Version: 4.6.0

Package: test-package
Architecture: all
Description: Test package for deprecated systemd override fixer
 This is a test package.

=== lintian-brush/tests/debian-watch-file-is-missing/cran/out/debian/watch ===
Version: 5

Source: https://cran.r-project.org/src/contrib/
Matching-Pattern: gower_([-.\d]*)\.tar\.gz

=== lintian-brush/tests/debian-watch-file-is-missing/pypi/out/debian/watch ===
Version: 5

Source: https://pypi.debian.net/xandikos/
Matching-Pattern: xandikos-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

=== lintian-brush/tests/debian-watch-file-old-format/outdated/out/debian/watch ===
Version: 5

Source: https://pypi.debian.net/dulwich
Matching-Pattern: dulwich-(.*).tar.gz
PGP-Signature-URL-Mangle: s/$/.asc/

=== lintian-brush/tests/debian-watch-not-mangling-version/simple/in/debian/watch ===
version=4
https://github.com/example/project/releases .*/v?(\d\S+)\.tar\.gz

=== lintian-brush/tests/debian-watch-not-mangling-version/simple/out/debian/watch ===
version=4
opts=dversionmangle=s/\+(dfsg|ds|debian|repack)(\d*)$// https://github.com/example/project/releases .*/v?(\d\S+)\.tar\.gz

## lintian-brush 0.168

=== debian/changelog ===
lintian-brush (0.168) unstable; urgency=medium

  [ Alexander Kjäll ]
  * Bump cargo-lock to 11.

  [ Jelmer Vernooĳ ]
  * Use archive-provided systemd-unit-edit and desktop-edit.
  * Improve man pages: update and complete options, clarify relationship
    between lintian-brush and companion tools. Closes: #1110964
  * Hide more debug output by default. Closes: #1128555
  * debhelper-tools-from-autotools-dev-are-deprecated fixer: fix removal
    of --with argument to avoid corrupting unrelated lines. Closes:
    #1128193
  * no-priority-field fixer: stop adding "Priority: optional" when
    targeting dpkg >= 1.22.13, since it is now the default. Closes:
    #1128554
  * initial-upload-closes-no-bugs fixer: fix duplicate bug references by
    checking case-insensitively. Closes: #1128557
  * Add new debian-watch-use-templates fixer to convert v5 watch files
    from explicit Source/Matching-Pattern to template syntax where
    possible. Closes: #1128553
  * global-files-wildcard-not-first-paragraph-in-dep5-copyright fixer:
    keep debian/* patterns at end of copyright file by convention.
    Closes: #1128608
  * Use archive-provided systemd-unit-edit and desktop-edit.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 16 Feb 2026 11:11:29 +0000

=== debian/control ===
Source: lintian-brush
Section: devel
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends: debhelper (>= 13.5),
               debhelper-compat (= 13),
               bash-completion,
               cargo:native,
               decopy,
               devscripts,
               dos2unix,
               gpg,
               librust-async-trait-0.1+default-dev,
               librust-breezyshim-0.7+debian-dev (>= 0.7.8),
               librust-breezyshim-0.7+default-dev (>= 0.7.8),
               librust-breezyshim-0.7+dirty-tracker-dev (>= 0.7.8),
               librust-breezyshim-0.7+sqlx-dev (>= 0.7.8),
               librust-buildlog-consultant+default-dev (>= 0.1.0),
               librust-cargo-lock-11+default-dev,
               librust-chrono+default-dev (>= 0.4),
               librust-chrono-0.4+default-dev,
               librust-clap-4+cargo-dev,
               librust-clap-4+default-dev,
               librust-clap-4+derive-dev,
               librust-clap-4+env-dev,
               librust-clap-4+string-dev,
               librust-clap-4+suggestions-dev,
               librust-configparser-3+default-dev,
               librust-deb822-lossless-0.5+default-dev (>= 0.5.5),
               librust-debbugs-0.1+blocking-dev (>= 0.1.8),
               librust-debbugs-0.1+default-dev (>= 0.1.8),
               librust-debian-analyzer-0.160+default-dev (>= 0.160.11),
               librust-debian-analyzer-0.160+python-dev (>= 0.160.11),
               librust-debian-analyzer-0.160+svp-dev (>= 0.160.11),
               librust-debian-analyzer-0.160+udd-dev (>= 0.160.11),
               librust-debian-changelog-0.2+default-dev (>= 0.2.13),
               librust-debian-control+default-dev (>= 0.1.0),
               librust-debian-control-0.2+default-dev (>= 0.2.15),
               librust-debian-copyright-0.1+default-dev (>= 0.1.38),
               librust-debian-watch-0.4+blocking-dev,
               librust-debian-watch-0.4+default-dev,
               librust-debian-watch-0.4+discover-dev,
               librust-debian-watch-0.4+pgp-dev,
               librust-debversion+default-dev (>= 0.4.0),
               librust-debversion-0.5+default-dev,
               librust-debversion-0.5+python-debian-dev,
               librust-debversion-0.5+serde-dev,
               librust-debversion-0.5+sqlx-dev,
               librust-dep3-0.2+default-dev,
               librust-desktop-edit-0.1+default-dev,
               librust-distro-info-0.4+default-dev,
               librust-env-logger-0.11+default-dev,
               librust-flate2-1+default-dev,
               librust-futures-0.3+default-dev,
               librust-http-body-util-0.1+default-dev,
               librust-humantime-2+default-dev (>= 2.1.0),
               librust-hyper-1+default-dev (>= 1.5),
               librust-hyper-1+http1-dev (>= 1.5),
               librust-hyper-1+server-dev (>= 1.5),
               librust-hyper-util-0.1+server-auto-dev,
               librust-hyper-util-0.1+server-dev,
               librust-hyper-util-0.1+tokio-dev,
               librust-indexmap-2+default-dev (>= 2.7),
               librust-indicatif+default-dev (<< 0.19-~~),
               librust-indicatif+default-dev (>= 0.17),
               librust-inventory-0.3+default-dev,
               librust-json-dev,
               librust-lazy-regex-3+default-dev,
               librust-lazy-static-1+default-dev,
               librust-log-0.4+default-dev,
               librust-makefile-lossless+default-dev (>= 0.3),
               librust-makefile-lossless-0.3+default-dev (>= 0.3.28),
               librust-nu-ansi-term-0.50+default-dev,
               librust-ognibuild-0.2+debian-dev (>= 0.2.4-3),
               librust-ognibuild-0.2+default-dev (>= 0.2.4-3),
               librust-ognibuild-0.2+upstream-dev (>= 0.2.4-3),
               librust-patchkit-0.2+default-dev (>= 0.2.2),
               librust-pyo3+chrono-dev (<< 0.29),
               librust-pyo3+chrono-dev (>= 0.27),
               librust-pyo3+default-dev (<< 0.29),
               librust-pyo3+default-dev (>= 0.27),
               librust-pyo3+serde-dev (<< 0.29),
               librust-pyo3+serde-dev (>= 0.27),
               librust-pyo3-log+default-dev (<< 0.14-~~),
               librust-pyo3-log+default-dev (>= 0.12-~~),
               librust-quote-1+default-dev (>= 1.0.37),
               librust-regex-1+default-dev (>= 1.10.6-~~),
               librust-reqwest+blocking-dev (>= 0.12),
               librust-reqwest+default-dev (>= 0.12),
               librust-reqwest+json-dev (>= 0.12),
               librust-rowan-0.16+default-dev,
               librust-semver-1+default-dev,
               librust-sequoia-openpgp-2+default-dev (>= 2-~~),
               librust-serde-1+default-dev,
               librust-serde-1+derive-dev,
               librust-serde-json-1+default-dev,
               librust-serde-yaml+default-dev (>= 0.9),
               librust-serial-test-dev,
               librust-sha1-0.10+default-dev,
               librust-shell-words-1+default-dev,
               librust-sqlx-0.8+default-dev,
               librust-sqlx-0.8+postgres-dev,
               librust-sqlx-0.8+runtime-tokio-rustls-dev,
               librust-strsim-0.11+default-dev,
               librust-svp-client+default-dev (>= 0.1.0),
               librust-svp-client-0.2+default-dev,
               librust-systemd-unit-edit-0.1+default-dev (>= 0.1.1),
               librust-tempfile-3+default-dev,
               librust-textwrap-0.16+default-dev,
               librust-tokio-1+default-dev (>= 1.39),
               librust-tokio-1+full-dev (>= 1.39),
               librust-tokio-1+macros-dev,
               librust-tokio-1+net-dev,
               librust-tokio-1+rt-dev (>= 1.39),
               librust-tokio-1+rt-multi-thread-dev (>= 1.39),
               librust-tokio-1+signal-dev,
               librust-toml-edit+default-dev (<< 0.29),
               librust-toml-edit+default-dev (>= 0.22),
               librust-toml-edit-0.22+default-dev,
               librust-tracing-0.1+default-dev,
               librust-tracing-log-0.2+default-dev,
               librust-tracing-subscriber-0.3+ansi-dev,
               librust-tracing-subscriber-0.3+default-dev,
               librust-tracing-subscriber-0.3+env-filter-dev,
               librust-tracing-subscriber-0.3+fmt-dev,
               librust-upstream-ontologist-0.3+default-dev (>= 0.3.10),
               librust-url-2+default-dev,
               librust-url-2+serde-dev,
               librust-wait-timeout-0.2+default-dev,
               librust-xdg-2+default-dev,
               librust-xz2-0.1+default-dev,
               libstd-rust-dev,
               lintian (>= 2.105.0),
               po-debconf,
               python3-breezy (>= 3.3.1~),
               python3-setuptools,
               rustc
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/jelmer/lintian-brush.git
Vcs-Browser: https://salsa.debian.org/jelmer/lintian-brush
Homepage: https://salsa.debian.org/jelmer/lintian-brush

Package: lintian-brush
Architecture: any
Depends: devscripts,
         python3-breezy (>= 3.3.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: debhelper (>= 13.5),
            decopy,
            dos2unix,
            gpg,
            lintian (>= 2.105.0)
Suggests: brz-debian (>= 2.8.66),
          git-buildpackage,
          po-debconf,
          postgresql-common
Description: automatically fix lintian problems
 This package contains a set of scripts that can automatically fix more than 160
 common lintian issues in Debian packages.
 .
 It comes with a wrapper script that invokes the scripts, updates
 the changelog (if desired) and commits each change to
 version control.
 .
 The following other codemods are included:
 .
  * apply-multiarch-hints: applies multiarch hints to debian/control
  * deb-scrub-obsolete: removes obsolete dependencies and maintscript snippets
  * deb-vcs-publish: adds VCS metadata to debian/control
  * fix-watch-file: updates the debian/watch file to use the latest format

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/rustc/architecture.mk

export CARGO_HOME=$(CURDIR)/debian/cargo_home
# Set codegen-units to 1 for reproducible builds (parallel codegen is non-deterministic)
export CARGO_PROFILE_RELEASE_CODEGEN_UNITS=1
# Enable debug logging if 'debug' is in DEB_BUILD_OPTIONS
ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
export RUST_LOG=debug
endif
ZSH_COMPDIR = /usr/share/zsh/vendor-completions/

CARGO_BASE_ARGS= --release --target $(DEB_HOST_RUST_TYPE)

%:
	dh $@ --with bash_completion

execute_before_dh_auto_configure:
	if test -f Cargo.lock; then mv Cargo.lock Cargo.lock.upstream; fi

override_dh_auto_build:
	cargo build $(CARGO_BASE_ARGS)

override_dh_auto_test:
	make testsuite

execute_after_dh_auto_install:
	mkdir -p debian/lintian-brush/$(ZSH_COMPDIR)
	install -m644 debian/lintian-brush.zsh-completion \
	    debian/lintian-brush/$(ZSH_COMPDIR)/_lintian-brush

override_dh_auto_clean:
	if test -f Cargo.lock.upstream; then mv Cargo.lock.upstream Cargo.lock; fi
	cargo clean || true

update-deps:
	update-rust-deps --drop-unreferenced --exclude-local-crate

=== lintian-brush/tests/debhelper-but-no-misc-depends/compat-13/out/debian/control ===
Source: test-package
Section: admin
Priority: optional
Maintainer: Test Maintainer <test@debian.org>
Build-Depends:
 debhelper-compat (= 13)
Standards-Version: 4.6.0

Package: test-package
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Test package
 This package is used to test that debhelper-but-no-misc-depends
 fixer still works for compat level 13.

=== lintian-brush/tests/debian-watch-file-old-format/already-updated/in/debian/watch ===
Version: 5

Source: https://pypi.debian.net/dulwich/dulwich-(.*).tar.gz
PGP-Signature-URL-Mangle: s/$/.asc/

=== lintian-brush/tests/debian-watch-use-templates/github-tags/in/debian/watch ===
Version: 5

Source: https://github.com/torvalds/linux/tags
Matching-Pattern: .*/(?:refs/tags/)?v?@ANY_VERSION@@ARCHIVE_EXT@
Searchmode: html

=== lintian-brush/tests/debian-watch-use-templates/mail-authentication-results/in/debian/watch ===
Version: 5

Source: https://cpan.metacpan.org/authors/id/
Matching-Pattern: .*/Mail-AuthenticationResults@ANY_VERSION@@ARCHIVE_EXT@
Searchmode: plain

=== lintian-brush/tests/homepage-url-ends-with-dot-git/override/in/debian/control ===
Source: override-package
Homepage: https://github.com/user/repo.git

Package: override-package
Architecture: all
Description: Test with override
 Testing lintian override behavior.

=== lintian-brush/tests/libmodule-build-tiny-perl-needs-to-be-in-build-depends/remove-empty-build-depends-indep/out/debian/control ===
Source: libtest-example-perl
Section: perl
Priority: optional
Maintainer: Joe Maintainer <joe@example.com>
Build-Depends: debhelper (>= 9), libmodule-build-tiny-perl
Standards-Version: 3.9.6

Package: libtest-example-perl
Architecture: all
Depends: ${misc:Depends}
Description: Example perl library
 An example perl library.

=== lintian-brush/tests/pkg-perl-testsuite/has-tests-control/in/debian/control ===
Source: libfoo-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>

Package: libfoo-perl
Description: dummy package

=== lintian-brush/tests/pkg-perl-testsuite/has-tests-control/in/debian/tests/control ===
Tests: autopkgtest-pkg-perl
Depends: @

=== lintian-brush/tests/uses-debhelper-compat-file/higher/out/debian/control ===
Source: f2fs-tools
Section: admin
Priority: optional
Maintainer: Jelmer Vernooĳ <jelmer@debian.org>
Build-Depends:
 debhelper (>= 12.2),
 debhelper-compat (= 12),
 pkg-config,
 uuid-dev
Standards-Version: 4.2.0

Package: f2fs-tools
Architecture: linux-any
Depends: libf2fs5 (= ${binary:Version}), libf2fs-format4 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Description: Tools for Flash-Friendly File System
 F2FS is a new filesystem for Linux aimed at NAND flash memory-based storage
 devices, such as SSD, eMMC, and SD cards. It is based on Log-structured File
 System (LFS).

=== lintian-brush/tests/vcs-git-uses-invalid-user-uri/simple/in/debian/control ===
Source: test-package
Vcs-Git: git://git.debian.org/~jelmer/test-package.git

Package: test-package
Description: Test package
 Test description

=== lintian-brush/tests/vcs-git-uses-invalid-user-uri/simple/out/debian/control ===
Source: test-package
Vcs-Git: https://anonscm.debian.org/git/users/jelmer/test-package.git

Package: test-package
Description: Test package
 Test description

=== lintian-brush/tests/wrong-section-according-to-package-name/node/out/debian/control ===
Source: requirejs-text
Section: web

Package: node-requirejs-text
Architecture: all
Section: javascript
Depends: ${misc:Depends}, nodejs
Description: RequireJS/AMD loader plugin for text resources
 This plugins provides a text.js, a plugin for requirejs that adds support
 for loading text resources.
 .
 Known to work in RequireJS, but should work in other AMD loaders that support
 the same loader plugin API.
